Subject: Re: [ietf-smtp] SMTP Over TLS on Port 26 - Implicit TLS Proposal
From: Viruthagiri Thirumavalavan <[email-masked]>
To: [email-masked]
Cc: Ted Lemon <[email-masked]>, [email-masked]
Date: Wed, 9 Jan 2019 06:54:16 +0530
List-Id: "Discussion of issues related to Simple Mail Transfer Protocol \(SMTP\) \[RFC 821, RFC 2821, RFC 5321\]" <ietf-smtp.ietf.org>

I just gave a pretty good example on why SMTPS better than STARTTLS.

I'm not sure what else you are expecting from me.

On Wed, Jan 9, 2019, 6:44 AM <[email-masked] wrote:

> On Wed, 09 Jan 2019 06:31:19 +0530, Viruthagiri Thirumavalavan said:
>
> > *mail.example.com <http://mail.example.com> connecting to mail.yahoo.com
> > <http://mail.yahoo.com> with its IP address*
> > *yahoo.com <http://yahoo.com> => 220 mail.yahoo.com <
> http://mail.yahoo.com>
> > Yahoo ESMTP Service Ready*
> > *example.com <http://example.com> => EHLO mail.example.com
> > <http://mail.example.com>*
> > *yahoo.com <http://yahoo.com> => 250-Hello, nice to meet you,
> > mail.example.com <http://mail.example.com>*
> > *yahoo.com <http://yahoo.com> => 250-SIZE 1000000*
> > *yahoo.com <http://yahoo.com> => 250-8BITMIME*
> > *yahoo.com <http://yahoo.com> => 250 STARTTLS*
> > *example.com <http://example.com> => STARTTLS*
> > *yahoo.com <http://yahoo.com> => 220 Go ahead*
> > *Key exchange happens here and the rest of the email part is encrypted *
> >
> > Are you saying all of those parts can be encrypted via DNSSEC+STARTTLS?
>
> What's in there that we didn't already know after the 3-packet handshake?
>